Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006636OCaml~DO NOT USE (was: OCaml general)public2014-10-28 16:242016-12-07 11:49
Reporterwhitequark 
Assigned Togasche 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.2+dev / +rc1 
Target Version4.02.3+devFixed in Version4.03.0+dev / +beta1 
Summary0006636: Add -v and/or --version options as an alias to -version
DescriptionBoth -v and --version are de-facto standard options for command-line utilities, and something that's well-known to almost all *nix users. OCaml already listens to --help; I think it should accept those forms as well.

Additionally, the --help screen could include the version, as it also commonly happens with CLI utilities.
Tagsjunior_job, patch
Attached Filespatch file icon 0001-Revert-Options-version-added-to-ocaml-and-v-added-to.patch [^] (3,761 bytes) 2014-10-29 22:24 [Show Content]
patch file icon add-version-opt.patch [^] (1,940 bytes) 2014-12-19 06:06 [Show Content]

- Relationships

-  Notes
(0012463)
doligez (administrator)
2014-10-29 17:07

Note: -v is already used by some of the commands to print a more verbose version message. This should not be changed.
(0012881)
whitequark (developer)
2014-12-19 04:22

I've attached a more conservative version of the patch which does not touch -v. gasche, can you please take a look?
(0013363)
whitequark (developer)
2015-02-28 16:24

Ping?
(0013396)
whitequark (developer)
2015-03-06 01:38

Ping?
(0013962)
gasche (administrator)
2015-05-24 16:54

Sorry, this patch fell off my radar despite your tenacious pings. I just committed this to trunk.

(It would be safe to go in the 4.02.2 branch of course, but people have already starting testing the branch in depth in preparation of the release, so I'd rather add as few additional commits as possible.)

- Issue History
Date Modified Username Field Change
2014-10-28 16:24 whitequark New Issue
2014-10-28 16:26 whitequark Description Updated View Revisions
2014-10-28 16:39 gasche Tag Attached: junior_job
2014-10-29 17:07 doligez Note Added: 0012463
2014-10-29 22:24 kyoDralliam File Added: 0001-Revert-Options-version-added-to-ocaml-and-v-added-to.patch
2014-12-19 04:22 whitequark File Added: add-version-opt.patch
2014-12-19 04:22 whitequark Note Added: 0012881
2014-12-19 06:06 whitequark File Deleted: add-version-opt.patch
2014-12-19 06:06 whitequark File Added: add-version-opt.patch
2014-12-22 22:14 doligez Status new => acknowledged
2015-01-10 00:20 doligez Tag Attached: patch
2015-01-10 00:23 doligez Target Version => 4.02.3+dev
2015-02-28 16:24 whitequark Note Added: 0013363
2015-03-06 01:38 whitequark Note Added: 0013396
2015-05-24 16:54 gasche Note Added: 0013962
2015-05-24 16:54 gasche Status acknowledged => resolved
2015-05-24 16:54 gasche Fixed in Version => 4.03.0+dev / +beta1
2015-05-24 16:54 gasche Resolution open => fixed
2015-05-24 16:54 gasche Assigned To => gasche
2016-12-07 11:49 xleroy Status resolved => closed
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker